Page MenuHomePhabricator

The "Search" button in Special:Search cannot be styled from skins
Closed, ResolvedPublic

Description

The "Search" button in Special:Search always has the "MediaWiki UI" style, regardless of the $wgUseMediaWikiUIEverywhere variable. This makes it impossible to change its style from custom skins and user stylesheets.

Event Timeline

Lahwaacz raised the priority of this task from to Needs Triage.
Lahwaacz updated the task description. (Show Details)
Lahwaacz added a subscriber: Lahwaacz.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 21 2015, 10:06 AM

Will be getting rid of this global, but same question applies to OO UI.

This comment was removed by Mattflaschen-WMF.

I suppose this is now complete (through OOUI themes)?

matmarex closed this task as Resolved.Jul 9 2015, 9:30 PM
matmarex claimed this task.

Yeah, mostly. Creating and using new OOUI themes is at least technically possible now (and you can choose from the two existing ones), and we have T100896: Allow skins to use different, custom OOUI themes to track the process of making it feasible.

Jdforrester-WMF moved this task from Backlog to Reviewing on the OOUI board.Jul 13 2015, 7:48 PM
Danny_B moved this task from Unsorted to OOUI on the UI-Standardization board.May 20 2016, 8:59 PM